package iitb.cfilt.cpost.lexicon;

import java.util.Vector;

public class NNReadjustmentRule {
	String suffixToAdd;
	String suffixToDelete;
	StemFeatures features;
	String suffixObserved;
	
	NNReadjustmentRule(){
		suffixToAdd = "";
		suffixToDelete = "";
		features = new StemFeatures();
		suffixObserved = "";
	}
	
	NNReadjustmentRule(String suffixToAdd, String suffixToDelete, char clas, char masculine, String askSmriti, String suffixObserved){		
		this.suffixToAdd = suffixToAdd;
		this.suffixToDelete = suffixToDelete;
		this.features = new StemFeatures(clas, masculine, askSmriti);
		this.suffixObserved = suffixObserved;
	}
	/*ReadjustmentRule(Vector<String> suffixesToAdd, String suffixToDelete, char clas, char masculine, String askSmriti, String suffixObserved){		
		this.suffixToAdd = suffixesToAdd;
		this.suffixToDelete = suffixToDelete;
		this.features = new StemFeatures(clas, masculine, askSmriti);
		this.suffixObserved = suffixObserved;
	}*/
	
	NNReadjustmentRule(String suffixToAdd, String suffixToDelete, StemFeatures sf, String suffixObserved){		
		this.suffixToAdd = suffixToAdd;
		this.suffixToDelete = suffixToDelete;
		this.features = new StemFeatures(sf);
		this.suffixObserved = suffixObserved;
	}
	
	public void setSuffixObserved(String suffixObserved){
		this.suffixObserved = suffixObserved;
	}
	public String getSuffixToDelete(){
		return suffixToDelete;
	}
	public String getSuffixToAdd(){
		return suffixToAdd;
	}
	public StemFeatures getFeatures(){
		return features;
	}
}
